# core/plugs/show.py
#
#

""" show JSON dump of objects. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import format, txt_parse
from core import kernel

## basic

import threading
import logging
import time
import re

## CMNDS

def show(event):
    rest = event.get_rest()
    if not rest: return
    parsed = event.get_parsed()
    objs = kernel.selected(parsed)
    nr = 1
    for obj in sorted(objs, key=lambda x: x.get_timed()):
        event.reply(str(obj), nr)
        nr += 1 

kernel.cmnds.register("show", show)
