# core/plugs/stop.py
#
#

""" regen, regen. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import get_uptime, get_clsname
from core import kernel

## CMNDS

def stop(event):
    global kernel
    rest = event.get_rest()
    if not rest: return
    target = rest.upper()
    todo = []
    for item in kernel.services:
        if target.upper() in item.upper():
            kernel.services[target].stop()
            todo.append(target)
    for item in todo: del kernel.services[item]
    todo = []
    for core in kernel.fleet:
        if target in str(core): core.stop() ; todo.append(core)
    for item in todo: kernel.fleet.remove(item)
    event.ok()

kernel.ctrl.register("stop", stop)
