# core/plugs/manage.py
#
#

""" regen, regen. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import get_uptime, get_clsname
from core import kernel

## CMNDS

def uptime(event):
    global kernel
    for bot in kernel.fleet:
        txt = get_uptime(bot)
        event.reply("%s: %s" % (get_clsname(bot), txt))
    for thing in kernel.run.values():
        if not thing: continue
        txt = get_uptime(thing)
        event.reply("%s: %s" % (get_clsname(thing), txt))
    for runner in kernel.workers._runners:
        txt = get_uptime(runner)
        event.reply("%s: %s" % (runner.name, txt))
    for runner in kernel.cmnds._runners:
        txt = get_uptime(runner)
        event.reply("%s: %s" % (runner.name, txt))
    for runner in kernel.ctrl._runners:
        txt = get_uptime(runner)
        event.reply("%s: %s" % (runner.name, txt))

kernel.ctrl.register("uptime", uptime)
