# core/plugs/add.py
#
#

""" add a value. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import short_date
from core import kernel, Object

import logging
import time

## CMNDS

def add(event):
    rest = event.get_rest()
    if not rest: return
    try: key, value = rest.split(" ", 1)
    except ValueError: return
    o = Object()
    if key in dir(o): return
    o.ctype = key
    o[key] = value
    path = o.save()
    event.ok()

kernel.cmnds.register("add", add)
