# core/plugs/status.py
#
#

""" regen, regen. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import get_uptime, get_clsname
from core import kernel

import threading

## CMNDS

def status(event):
    global kernel
    event.reply("threads: %s" % threading.enumerate())
    for bot in kernel.fleet:
        event.reply("%s: %s" % (bot.what, bot._status.status))
    for thing in kernel.run.values():
        event.reply("%s: %s" % (thing.what, thing._status.status))
    for runner in kernel.workers._runners:
        event.reply("%s: %s" % (runner._status.cmnd, runner._status.status))
    for runner in kernel.cmnds._runners:
        event.reply("%s: %s" % (runner._status.cmnd, runner._status.status))
    for runner in kernel.ctrl._runners:
        event.reply("%s: %s" % (runner._status.cmnd, runner._status.status))

kernel.ctrl.register("status", status)
